<?php
session_start();
header('X-Content-Type-Options: nosniff');
header('X-Frame-Options: DENY');
header('X-XSS-Protection: 1; mode=block');

$config = require 'config.php';

if (!isset($_SESSION['authenticated'])) {
    if ($_SERVER['REQUEST_METHOD'] === 'POST') {
        $key = $_POST['access_key'] ?? '';
        if (hash('sha256', $key) === hash('sha256', $config['access_key'])) {
            $_SESSION['authenticated'] = true;
            header('Location: board.php');
            exit;
        } else {
            $error = 'Неверный ключ';
        }
    }
    ?>
    <!DOCTYPE html>
    <html>
    <head>
        <meta charset="utf-8">
        <meta name="viewport" content="width=device-width, initial-scale=1.0">
        <title>mkach</title>
        <style>
            * { margin: 0; padding: 0; box-sizing: border-box; }
            body { 
                background: #000; 
                color: #0f0; 
                font-family: 'Courier New', monospace; 
                display: flex; 
                align-items: center; 
                justify-content: center; 
                min-height: 100vh;
                font-size: 16px;
            }
            .container {
                text-align: center;
                background: rgba(0,20,0,0.8);
                padding: 40px;
                border: 1px solid #0f0;
                border-radius: 5px;
                box-shadow: 0 0 20px rgba(0,255,0,0.3);
            }
            h1 { margin-bottom: 30px; font-size: 2.5em; }
            .form-group { margin-bottom: 20px; }
            input[type="password"] {
                background: #000;
                border: 1px solid #0f0;
                color: #0f0;
                padding: 15px;
                font-size: 18px;
                width: 300px;
                text-align: center;
                font-family: 'Courier New', monospace;
            }
            input[type="password"]:focus {
                outline: none;
                box-shadow: 0 0 10px rgba(0,255,0,0.5);
            }
            button {
                background: #000;
                border: 1px solid #0f0;
                color: #0f0;
                padding: 15px 30px;
                font-size: 16px;
                cursor: pointer;
                font-family: 'Courier New', monospace;
                transition: all 0.3s;
            }
            button:hover {
                background: #0f0;
                color: #000;
            }
            .error {
                color: #f00;
                margin-top: 15px;
                font-size: 14px;
            }
        </style>
    </head>
    <body>
        <div class="container">
            <h1>mkach</h1>
            <form method="post">
                <div class="form-group">
                    <input type="password" name="access_key" placeholder="Введите ключ доступа" required>
                </div>
                <button type="submit">Войти</button>
            </form>
            <?php if (isset($error)): ?>
                <div class="error"><?= htmlspecialchars($error) ?></div>
            <?php endif; ?>
        </div>
    </body>
    </html>
    <?php
    exit;
}

header('Location: board.php'); 